Regenerate Registry Credentials
POST
/registry/credentials/regenerate
const url = 'https://api.mengi.cloud/registry/credentials/regenerate';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.mengi.cloud/registry/credentials/regenerateRegenerate the organization’s registry credentials.
This will revoke the existing robot account and create a new one. The new robot secret is only returned once - save it immediately!
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
RegistryCredentialCreatedResponse
Response when credential is created (includes password once).
object
id
required
Id
string
registry_url
required
Registry Url
string
repository_prefix
required
Repository Prefix
string
username
required
Username
string
password
required
Password
string
docker_login_command
required
Docker Login Command
string
is_active
required
Is Active
boolean
created_at
required
Created At
string format: date-time
Examplegenerated
{ "id": "example", "registry_url": "example", "repository_prefix": "example", "username": "example", "password": "example", "docker_login_command": "example", "is_active": true, "created_at": "2026-04-15T12:00:00Z", "expires_at": "2026-04-15T12:00:00Z"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}